KintsugiKintsugi

Remove a product code from the blocklist

DELETE/products/configs/blocklist/{product_code_name}

Remove a product tax code from the blocklist. Returns 404 if it is not on the blocklist for the resolved organization.

Authorization

Api-KeystringRequired

Your secret API key. Include it with every request.

Headers

Api-Versiondate

Release date, as YYYY-MM-DD. Defaults to 2026-07-21.

Organization-Idstring

Target organization id (Organization-Id selector).

Connection-Idstring

Target connection id; resolves to its organization.

Entity-Idstring

Platform entity id; resolves to a connection's organization.

Entity-Sourcestring

Optional source to disambiguate an Entity-Id.

Path parameters

product_code_namestringRequired

The product tax code to remove from the blocklist.

Response

204

Successful Response

400

The request was invalid.

401

Authentication failed or was missing.

403

The credential is not permitted for this request.

404

The requested resource was not found.

409

The request conflicts with existing state.

422

The request failed validation.

cURL
DELETE /products/configs/blocklist/{product_code_name}
-H "Api-Key: ***"
-H "Api-Version: 2026-07-21"
Example request
https://api.trykintsugi.com/products/configs/blocklist/{product_code_name}
Response
{
"code": "missing_target_selector",
"message": "Provide one of Organization-Id, Connection-Id, or Entity-Id.",
"requestId": "req_8f3k2mNpQr7Ls",
"errors": []
}
Remove a product code from the blocklist (2026-07-21) | Kintsugi API Reference